## cascading.pipe
Class Every.EveryBufferHandler

    java.lang.Object
      cascading.pipe.Every.EveryHandler
          cascading.pipe.Every.EveryBufferHandler

Enclosing class:
  Every

    public class Every.EveryBufferHandler

extends Every.EveryHandler

Field Summary

Fields inherited from class cascading.pipe.Every.EveryHandler
`outgoingScope, outputCollector`

Constructor Summary
`Every.EveryBufferHandler(Scope outgoingScope)`

Method Summary
`void` `complete(FlowProcess flowProcess, TupleEntry groupEntry)`
`TupleEntry` `getLastValue()`
`void` `operate(FlowProcess flowProcess, TupleEntry groupEntry, TupleEntry inputEntry, TupleEntryIterator tupleEntryIterator)`
`void` `start(FlowProcess flowProcess, TupleEntry groupEntry)`

Methods inherited from class cascading.pipe.Every.EveryHandler
`cleanup, getEvery, prepare, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Every.EveryBufferHandler

    public Every.EveryBufferHandler(Scope outgoingScope)

Method Detail

### getLastValue

    public TupleEntry getLastValue()

### start

    public void start(FlowProcess flowProcess,
                      TupleEntry groupEntry)

  Specified by:
    `start` in class `Every.EveryHandler`

### operate

    public void operate(FlowProcess flowProcess,
                        TupleEntry groupEntry,
                        TupleEntry inputEntry,
                        TupleEntryIterator tupleEntryIterator)

  Specified by:
    `operate` in class `Every.EveryHandler`

### complete

    public void complete(FlowProcess flowProcess,
                         TupleEntry groupEntry)

  Specified by:
    `complete` in class `Every.EveryHandler`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.